/*
@hehung
2023-2-8
转载请注明出处，版权由@hehung所有
email: 1398660197@qq.com
wechat: hehung95
*/

#ifndef APP_UART_H_
#define APP_UART_H_

#include "hal_data.h"

#define UART_DATA_BUF_SIZE               (64U)

typedef struct
{
    char data_buf[UART_DATA_BUF_SIZE];
    uint8_t data_idx;
} s_UartBufType;


extern volatile s_UartBufType uart_buf;


extern void Uart_Init(void);
extern void Uart_SendData(const char *dataPtr);

#endif /* APP_UART_H_ */
